#!/bin/bash
rm -rf /usr/local/Trolltech/QtopiaCore-4.2.1-arm/translations
rm -rf /usr/local/Trolltech/QtopiaCore-4.2.1-arm/lib/libQt3Support*
rm -rf /usr/local/Trolltech/QtopiaCore-4.2.1-arm/lib/libQtSql*
rm -rf /usr/local/Trolltech/QtopiaCore-4.2.1-arm/lib/libQtSvg*
rm -rf /usr/local/Trolltech/QtopiaCore-4.2.1-arm/lib/fonts/arialn_80_50.qpf
rm -rf /usr/local/Trolltech/QtopiaCore-4.2.1-arm/lib/fonts/arialn_80_75.qpf
rm -rf /usr/local/lib/wonka
rm -rf /lib/wonka
rm -rf /usr/local/bin/wonka
rm -rf /bin/wonka
rm -rf /opt/dcu410/bin/*client
rm -rf /opt/dcu410/bin/*client.sh
rm -rf /opt/dcu410/etc/modbus_map_extra.conf

if [ -e /opt/dcu410/config ]; then
  echo "Already patched..."
else
  echo "Patching configuration files..."
  echo -n "fd/" > /opt/dcu410/etc/tmp_name
  if [ -e /opt/dcu410/etc/config_name ]; then
      echo "config_name found."
  else
      echo "No config_name found. Setting to fd.cfg"
      echo -n "fd.cfg" > /opt/dcu410/etc/config_name
  fi
  cat /opt/dcu410/etc/config_name >> /opt/dcu410/etc/tmp_name
  cp /opt/dcu410/etc/tmp_name /opt/dcu410/etc/config_name
  rm -f /opt/dcu410/etc/tmp_name
  # make soft link
  ln -s /opt/dcu410/etc/config_real/cummins /opt/dcu410/config
  # copy all user configuration files to fd.
  cp /opt/dcu410/etc/*.ucfg /opt/dcu410/config/fd/
  # remove all other configurations
  rm -f /opt/dcu410/etc/*.cfg /opt/dcu410/etc/*.ucfg
fi

# Remove possible configuration files from other brandings than current
# 1. Check soft link /opt/dcu410/config to find out branding
BRANDING=`ls -l /opt/dcu410/config | cut -d '/' -f 6`
# 2. Remove all other branding config directories
if [ $BRANDING ]; then
  cd /opt/dcu410/etc/config_real && ls | grep -v $BRANDING | xargs rm -rf
fi
# 3. Check if content of /opt/dcu410/etc/config_name exists
if [ -e /opt/dcu410/config/`cat /opt/dcu410/etc/config_name` ]; then
# 4. If exists that file to fd/fd.cfg, else nothing
  echo "Doing nothing"
else
  echo "fd/fd.cfg" > /opt/dcu410/etc/config_name  
fi

rm -f /root/*
