#!/bin/bash

echo -n "Step 2 of 6: Checking file integrity..."

gunzip -t $1 >> /dev/null
if [ $? = 0 ]; then
  echo -n "ok<br>"

  # Do the possible pre-install script
  /opt/dcu410/bin/dcu_pre_install.sh >> /dev/null

  echo -n "Step 3 of 6: Stopping firmware..."
  /opt/dcu410/bin/stop_dcu.sh >> /dev/null
  echo -n "done<br>"

  echo 1 > /dev/gpio/backlight

  cd /
  echo -n "Step 4 of 6: Extracting and unpacking new firmware..."
  tar xzvf $1 >> /dev/null
  if [ $? = 0 ]; then 
    echo -n "done<br>"
  else
    echo -n "FAILED<br>"
  fi

  echo -n "Step 5 of 6: Cleaning up..."
  #rm $1
  /opt/dcu410/bin/dcu_post_install.sh >> /dev/null
  echo -n "done<br>"
else
  echo -n "FAILED<br>"
fi

echo -n "Step 6 of 6: Restarting...<br>"

echo -n "<br>"
echo -n "<a href=/>Click here AFTER panel has restarted.</a><br>"

sync
/sbin/shutdown -r
