#!/bin/bash

HMDIR=/opt/dcu410

if [ -e /usr/local/Trolltech/QtopiaCore-4.2.0-arm ]; then
export LD_LIBRARY_PATH=$HMDIR/lib:/usr/local/Trolltech/QtopiaCore-4.2.0-arm/lib
if [ -e /usr/local/Trolltech/QtopiaCore-4.2.1-arm ]; then
rm -rf /usr/local/Trolltech/QtopiaCore-4.2.0-arm/lib/fonts
ln -s /usr/local/Trolltech/QtopiaCore-4.2.1-arm/lib/fonts /usr/local/Trolltech/QtopiaCore-4.2.0-arm/lib/fonts
fi
elif [ -e /usr/local/Trolltech/QtopiaCore-4.2.1-arm ]; then
export LD_LIBRARY_PATH=$HMDIR/lib:/usr/local/Trolltech/QtopiaCore-4.2.1-arm/lib
fi

export PATH=/bin:/usr/bin:/sbin:/usr/local/bin

cd $HMDIR

# Set default console log level (should probably be moved to kernel command line parameter     if possible)
echo 1 > /proc/sys/kernel/printk

#Set stack limit
ulimit -s 256

# Set memory over commit limit
echo 95 > /proc/sys/vm/overcommit_ratio

# fbset
source $HMDIR/bin/setup_dcu_fb.sh

MODULE_LOADED=`lsmod | grep io_drv`

if [ "x$MODULE_LOADED" = "x" ]; then
    echo "Loading IO driver ..."
    insmod kernel/io_drv.ko
    mknod /dev/hmio c 250 0
else
    echo "IO driver already loaded"
fi

MODULE_LOADED=`lsmod | grep colibri_sja1000_platform`

if [ "x$MODULE_LOADED" = "x" ]; then
    echo "Loading Colibri SJA1000 platform driver ..."
    insmod kernel/colibri_sja1000_platform.ko
else
    echo "SJA1000 platform driver already loaded"
fi

MODULE_LOADED=`lsmod | grep "sja1000 "`

if [ "x$MODULE_LOADED" = "x" ]; then
    echo "Loading SJA1000 driver ..."
    insmod kernel/sja1000.ko
else
    echo "SJA1000 driver already loaded"
fi

echo "Configuring loopback interface ..."
ifconfig lo 127.0.0.1 netmask 255.0.0.0

#echo "Configuring ethernet interface ..."
#ifconfig eth0 192.168.0.137
