#!/bin/bash

HMDIR=/opt/dcu410

# If display_type is given, check whether current framebuffer settings are 
# inconsistent with these. Update if so. 
if [ -e $HMDIR/etc/display_type.txt ]; then
  FBMODE=`cat $HMDIR/etc/display_type.txt`
else
  FBMODE=DCU_default
fi

MODE_FBGEOMETRY=`cat $HMDIR/etc/fb.modes | grep -A 5 $FBMODE | grep -e "geometry" | tr -d [:blank:]`
MODE_FBTIMINGS=`cat $HMDIR/etc/fb.modes | grep -A 5 $FBMODE | grep -e "timings" | tr -d [:blank:]`
CURRENT_FBGEOMETRY=$(echo $(fbset|grep geometry | tr -d [:blank:]))
CURRENT_FBTIMINGS=$(echo $(fbset|grep timings | tr -d [:blank:]))
if [ "$MODE_FBGEOMETRY" != "$CURRENT_FBGEOMETRY" ]; then
# echo "Framebuffer geometry mismatch, adjusting according to fb.modes.. "
  fbset -db $HMDIR/etc/fb.modes $FBMODE
elif [ "$MODE_FBTIMINGS" != "$CURRENT_FBTIMINGS" ]; then 
# echo "Framebuffer timing mismatch, adjusting according to fb.modes.. "
  fbset -db $HMDIR/etc/fb.modes $FBMODE
#else 
# echo "Default framebuffer settings match fb-mode."
fi

