#!/bin/bash

HMDIR=/opt/dcu410

export LD_LIBRARY_PATH=$HMDIR/lib
export PATH=/bin:/usr/bin:/sbin:/usr/local/bin

SYS_PID=`pidof system_startup_proc`
if [ "x$SYS_PID" != "x" ]; then
    echo "Stopping system_startup_proc($SYS_PID)"
    kill $SYS_PID
fi

APPL_SVR_PID=`pidof appl_server`
if [ "x$APPL_SVR_PID" != "x" ]; then
    echo "Stopping appl_server($APPL_SVR_PID)"
    kill $APPL_SVR_PID
fi

IO_SVR_PID=`pidof io_server`
if [ "x$IO_SVR_PID" != "x" ]; then
    echo "Stopping io_server($IO_SVR_PID)"
    kill $IO_SVR_PID
fi

RIO_SVR_PID=`pidof modbus_rio_server`
if [ "x$RIO_SVR_PID" != "x" ]; then
    echo "Stopping rio_server($RIO_SVR_PID)"
    kill $RIO_SVR_PID
fi

SDU_SVR_PID=`pidof modbus_sdu_server`
if [ "x$SDU_SVR_PID" != "x" ]; then
    echo "Stopping sdu_server($SDU_SVR_PID)"
    kill $SDU_SVR_PID
fi

J1939_SVR_PID=`pidof j1939_svr`
if [ "x$J1939_SVR_PID" != "x" ]; then
    echo "Stopping j1939_svr($J1939_SVR_PID)"
    kill $J1939_SVR_PID
fi

J1939_2_SVR_PID=`pidof j1939_2_svr`
if [ "x$J1939_2_SVR_PID" != "x" ]; then
    echo "Stopping j1939_2_svr($J1939_2_SVR_PID)"
    kill $J1939_2_SVR_PID
fi

HTTPD_PID=`pidof httpd`
if [ "x$HTTPD_PID" != "x" ]; then
    echo "Stopping httpd($HTTPD_PID)"
    kill $HTTPD_PID
fi

SYSTEM_PID=`pidof system_server`
if [ "x$SYSTEM_PID" != "x" ]; then
    echo "Stopping system_server($SYSTEM_PID)"
    kill $SYSTEM_PID
fi

MODBUS_PID=`pidof modbustcp_server`
if [ "x$MODBUS_PID" != "x" ]; then
    echo "Stopping modbustcp_server($MODBUS_PID)"
    kill $MODBUS_PID
fi

CANOPEN_PID=`pidof canopen_server`
if [ "x$CANOPEN_PID" != "x" ]; then
    echo "Stopping canopen_server($CANOPEN_PID)"
    kill $CANOPEN_PID
fi

DISCOVERY_PID=`pidof dcu_discovery_server`
if [ "x$DISCOVERY_PID" != "x" ]; then
    echo "Stopping dcu_discovery_server($DISCOVERY_PID)"
    kill $DISCOVERY_PID
fi

DCU410_PID=`pidof DCU410`
if [ "x$DCU410_PID" != "x" ]; then
    echo "Stopping DCU410($DCU410_PID)"
    kill $DCU410_PID
fi

sleep 2

# force kill
SYS_PID=`pidof system_startup_proc`
if [ "x$SYS_PID" != "x" ]; then
    echo "[FORCE] Stopping system_startup_proc($SYS_PID)"
    kill -9 $SYS_PID
fi

APPL_SVR_PID=`pidof appl_server`
if [ "x$APPL_SVR_PID" != "x" ]; then
    echo "[FORCE] Stopping appl_server($APPL_SVR_PID)"
    kill -9 $APPL_SVR_PID
fi

IO_SVR_PID=`pidof io_server`
if [ "x$IO_SVR_PID" != "x" ]; then
    echo "[FORCE] Stopping io_server($IO_SVR_PID)"
    kill -9 $IO_SVR_PID
fi

RIO_SVR_PID=`pidof modbus_rio_server`
if [ "x$RIO_SVR_PID" != "x" ]; then
    echo "[FORCE] Stopping rio_server($RIO_SVR_PID)"
    kill -9 $RIO_SVR_PID
fi

SDU_SVR_PID=`pidof modbus_sdu_server`
if [ "x$SDU_SVR_PID" != "x" ]; then
    echo "[FORCE] Stopping sdu_server($SDU_SVR_PID)"
    kill -9 $SDU_SVR_PID
fi

J1939_SVR_PID=`pidof j1939_svr`
if [ "x$J1939_SVR_PID" != "x" ]; then
    echo "[FORCE] Stopping j1939_svr($J1939_SVR_PID)"
    kill -9 $J1939_SVR_PID
fi

J1939_2_SVR_PID=`pidof j1939_2_svr`
if [ "x$J1939_2_SVR_PID" != "x" ]; then
    echo "[FORCE] Stopping j1939_2_svr($J1939_2_SVR_PID)"
    kill -9 $J1939_2_SVR_PID
fi

HTTPD_PID=`pidof httpd`
if [ "x$HTTPD_PID" != "x" ]; then
    echo "[FORCE] Stopping httpd($HTTPD_PID)"
    kill -9 $HTTPD_PID
fi

DCU410_PID=`pidof DCU410`
if [ "x$DCU410_PID" != "x" ]; then
    echo "[FORCE] Stopping DCU410($DCU410_PID)"
    kill -9 $DCU410_PID
fi

SYSTEM_PID=`pidof system_server`
if [ "x$SYSTEM_PID" != "x" ]; then
    echo "[FORCE] Stopping system_server($SYSTEM_PID)"
    kill -9 $SYSTEM_PID
fi

MODBUS_PID=`pidof modbustcp_server`
if [ "x$MODBUS_PID" != "x" ]; then
    echo "[FORCE] Stopping modbustcp_server($MODBUS_PID)"
    kill -9 $MODBUS_PID
fi

CANOPEN_PID=`pidof canopen_server`
if [ "x$CANOPEN_PID" != "x" ]; then
    echo "[FORCE] Stopping canopen_server($CANOPEN_PID)"
    kill -9 $CANOPEN_PID
fi

DISCOVERY_PID=`pidof dcu_discovery_server`
if [ "x$DISCOVERY_PID" != "x" ]; then
    echo "[FORCE] Stopping dcu_discovery_server($DISCOVERY_PID)"
    kill -9 $DISCOVERY_PID
fi
